Name:           jakarta-oro
Version:        2.0.8
Release:        26
Epoch:          0
Summary:        Provide compatible regular expressions
License:        ASL 1.1
URL:            http://jakarta.apache.org/oro
Source0:        http://archive.apache.org/dist/jakarta/oro/%{name}-%{version}.tar.gz
Source1:        MANIFEST.MF
Source2:        https://repo1.maven.org/maven2/oro/oro/%{version}/oro-%{version}.pom
Patch0001:      jakarta-oro-build-xml.patch
BuildRequires:  javapackages-local ant
BuildArch:      noarch

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes that provide
Perl5 compatible regular expressions, AWK-like regular expressions, glob expressions,
and utility classes for performing substitutions, splits, filtering filenames, etc.
This library is the successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries originally from ORO, Inc. Despite little activity in the form of new development
initiatives, issue reports, questions, and suggestions are responded to quickly.

%package        help
Summary:        API documentation for jakarta-oro.
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
The help for jakarta-oro to use.

%prep
%autosetup -n %{name}-%{version} -p1
cp %{SOURCE1} .

%build
ant -Dfinal.name=oro jar javadocs

%install
%mvn_file : %{name} oro
%mvn_artifact %{SOURCE2} oro.jar
%mvn_install -J docs/api
sed -i 's/[0-9a-f]\{8\}-[0-9a-f]\{4\}-[0-9a-f]\{4\}-[0-9a-f]\{4\}-[0-9a-f]\{12\}/f2f42549-cfab-4d71-be48-5e9f9a41e5f5/g' $(find %{_buildrootdir} -name jakarta-oro.xml)

%files -f .mfiles
%doc COMPILE ISSUES CHANGES CONTRIBUTORS STYLE
%license LICENSE

%files help -f .mfiles-javadoc
%doc README TODO

%changelog
* Mon Jan 20 2020 daiqianwen <daiqianwen@huawei.com> - 0:2.0.8-26
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Fri Dec 20 2019 lijin Yang <yanglijin@huawei.com> - 0:2.0.8-25
- Package init

